Origin TLS Client Auth
origin_tls_client_auth
Methods
Deprecated
Use zone_certificates.list for zone-level certificates. This method will be removed in a future major version.
Lists all client certificates configured for zone-level authenticated origin pulls.
Deprecated
Use zone_certificates.get for zone-level certificates. This method will be removed in a future major version.
Retrieves details for a specific client certificate used in zone-level authenticated origin pulls.
Deprecated
Use zone_certificates.create for zone-level certificates. This method will be removed in a future major version.
Upload your own certificate you want Cloudflare to use for edge-to-origin communication to override the shared certificate. Please note that it is important to keep only one certificate active. Also, make sure to enable zone-level authenticated origin pulls by making a PUT call to settings endpoint to see the uploaded certificate in use.
Deprecated
Use zone_certificates.delete for zone-level certificates. This method will be removed in a future major version.
Removes a client certificate used for zone-level authenticated origin pulls.
Hostname Certificates
origin_tls_client_auth.hostname_certificates
Methods
Lists all client certificates configured for per-hostname authenticated origin pulls on the zone.
Get the certificate by ID to be used for client authentication on a hostname.
Upload a certificate to be used for client authentication on a hostname. 10 hostname certificates per zone are allowed.
Removes a client certificate used for authenticated origin pulls on a specific hostname.
Note: Before deleting the certificate, you must first invalidate the hostname for client authentication by sending a PUT request with enabled set to null. After invalidating the association, the certificate can be safely deleted.
Domain types
Hostnames
origin_tls_client_auth.hostnames
Methods
Retrieves the client certificate authentication status for a specific hostname, showing whether authenticated origin pulls are enabled.
Associate a hostname to a certificate and enable, disable or invalidate the association. If disabled, client certificate will not be sent to the hostname even if activated at the zone level. 100 maximum associations on a single certificate are allowed. Note: Use a null value for parameter enabled to invalidate the association.
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
SSL and Certificates Write
Identifier.
Whether the API call was successful.
Domain types
Settings
origin_tls_client_auth.settings
Methods
Get whether zone-level authenticated origin pulls is enabled or not. It is false by default.
Enable or disable zone-level authenticated origin pulls. 'enabled' should be set true either before/after the certificate is uploaded to see the certificate in use.
Zone Certificates
origin_tls_client_auth.zone_certificates
Methods
Lists all client certificates configured for zone-level authenticated origin pulls.
Retrieves details for a specific client certificate used in zone-level authenticated origin pulls.
Upload your own certificate you want Cloudflare to use for edge-to-origin communication to override the shared certificate. Please note that it is important to keep only one certificate active. Also, make sure to enable zone-level authenticated origin pulls by making a PUT call to settings endpoint to see the uploaded certificate in use.
Removes a client certificate used for zone-level authenticated origin pulls.
Domain types